
//////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2007-2018 zSpace, Inc.  All Rights Reserved.
//
//  File:       Sdk4.jaja
//  Content:    Java bindings for the 4.0 zSpace SDK.
//
//////////////////////////////////////////////////////////////////////////

package com.zspace;

  /// The tracker event data type.
  public class ZCTrackerEventData
  {
    public long     targetHandle;
    public int      size;            ///< The event data's size in bytes.
    public int      type;            ///< The event's type.
    public double   timestamp;       ///< The time that the event was generated (represented in seconds since last system reboot).
    public float[]  poseMatrix = new float[16];;      ///< The tracker-space position and orientation in 4x4 matrix format.
    public int      buttonId;        ///< The integer id corresponding to the target's physical button.
  }
